# Makefile Template

FLAGS  = -O2
CC = gcc 

GLUTPATH = /opt/gup/cg/glut
MESAPATH = /opt/gup/cg/mesa

# Mesa
LIBS = -L/usr/lib -L$(GLUTPATH)/lib -lglut $(MESAPATH)/lib/libGLU.a $(MESAPATH)/lib/libGL.a -lglut -lXmu -lXext -lX11 -lm

INCLUDES = -I$(GLUTPATH)/include -I$(MESAPATH)/include -I/usr/include 

.c.o:
	$(CC) $(FLAGS) -c $(INCLUDES) $<

OBJS = cube.o 

all: myProgram

myProgram: $(OBJS)
	$(CC) $(FLAGS) $(OBJS) $(LIBS) -o $@

clean:
	rm -f *.o ; rm -f myProgram ; rm -f core

run:
	./myProgram
